package sdanderson.androidcharts.BarChart;

import android.graphics.Color;
import android.graphics.Paint;

/**
 * Created by Shane Anderson on 10/4/2015.
 *
 */
class BarChartItem {
    private String mLabel;
    private float mValue;
    private float mBarBorderWidth = 4f;
    private int mBarBorderColor = Color.BLACK;
    private Paint mPaint;

    public BarChartItem(String pLabel, float pValue, int pColor) {
        mLabel = pLabel;
        mValue = pValue;

        mPaint = new Paint();
        mPaint.setStyle(Paint.Style.FILL);
        mPaint.setColor(pColor);
        mPaint.setAntiAlias(true);
    }

    protected void setColor(int pLineColor) { mPaint.setColor(pLineColor); }

    protected int getColor() { return mPaint.getColor(); }

    protected void setLabel(String pLabel) { mLabel = pLabel; }

    protected String getLabel() { return mLabel; }

    protected void setValue(Float pValue) { mValue = pValue; }

    protected float getValue() {return mValue; }

    protected void setBarBorderWidth(float pWidth) { mBarBorderWidth = pWidth; }

    protected float getBarBorderWidth() { return mBarBorderWidth; }

    protected void setBarBorderColor(int pColor) { mBarBorderColor = pColor; }

    protected int getBarBorderColor() { return mBarBorderColor; }
}
