package sdanderson.androidcharts.Common;

import java.text.DecimalFormat;

/**
 * Created by Shane Anderson on 3/4/2016.
 *
 */
public class NumberUtilities {

    private NumberUtilities() {

    }

    public static String formatValueWithSuffix(final double pValue,
                                               final DecimalFormat pDecimalFormat,
                                               final String pSuffixes,
                                               final int pNumberGroupSplit) {
        if (pValue == 0) {
            // Zero
            final String formattedNumber = pDecimalFormat.format(pValue);
            return formattedNumber.length() > 4 ?
                    formattedNumber.replaceAll("\\.[0-9]+", "") : formattedNumber;
        }

        final int power = (int) StrictMath.log10(StrictMath.abs(pValue));
        final double powValue = pValue/Math.pow(10, (power/pNumberGroupSplit)*pNumberGroupSplit);
        return pDecimalFormat.format(powValue) + (
                (power/pNumberGroupSplit > 0) ? pSuffixes.charAt((power/pNumberGroupSplit)-1) : "");
    }

    public static Double roundToNearestHighestPlaces(final double pValue,
                                                     final int pPlaces,
                                                     final boolean pUp) {
        final int power = (int) StrictMath.log10(StrictMath.abs(pValue));
        final double divideBy = Math.pow(10, 1+power - pPlaces);
        if (pUp)
            return (Math.ceil(pValue / divideBy)*divideBy);
        else
            return (Math.floor(pValue / divideBy)*divideBy);
    }
}
